Skip to content
Account Profile & Status

Update Application V2

This interface is an upgraded version of the account opening data update, supporting modifications for both individual and enterprise accounts. By providing the application ID application_id, user ID member_id, client type client_type, and the fields to be updated (document info, base info, tax info, etc.), it performs an update on the account opening form data.

POSThttps://b-api.longbridge.xyz/v2/whaleapi/account/update_application

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

application_idstring

application id. application id

member_idstringrequired

member ID. member ID

client_typeintegerrequired

client type. client type

open_infoobjectrequired

open account form. open account form

Child attributes
uploadobjectrequired

upload info. upload info

Child attributes
card_countrystringrequired

certificate issuing location. certificate issuing location

card_typeintegerrequired

card type. card type

card_idstringrequired

card number. card number

first_namestring

first name. first name

last_namestringrequired

last name. last name

baseobjectrequired

base info. base info

Child attributes
country_codestringrequired

enterprise registration location. enterprise registration location

residence_countrystringrequired

residence country. residence country

residence_partstring

residence part. residence part

residence_descstringrequired

residence desc. residence desc

employobjectrequired

employ info. employ info

Child attributes
taxesobjectrequired

taxs info. taxs info

Child attributes
countrystringrequired

tax country. tax country

idstringrequired

tax id. tax id

Responses

HTTP 200Success
codeinteger

code

messagestring

message

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs